<?php
$t = "Моя гостевая книга";
include_once '../core/core.php';
if ($act == "del" && $id != 0){
	if ($db->Count("gb","WHERE `sid` = '".$user->uid."' AND `gid` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Данное сообщение не существует.</div>';
		echo b("/gb.lm");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	if (isset($_POST["delete"])){
		$db->Delete("gb","WHERE `sid` = '".$user->uid."' AND `gid` = '".$id."'");
		$t = "Удаление записи с гостевой книги";
		include_once '../core/head.php';
		echo '<div class="success">Запись успешно удалена</div>';
		echo b("/gb.lm");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	$gb = $db->getObject("SELECT * FROM `gb` WHERE `sid` = '".$user->uid."' AND `gid` = '".$id."'");
	$t = "Удаление записи с гостевой книги";
	include_once '../core/head.php';
	echo '<div class="title">Удаление записи с гостевой книги</div>';
	echo '<div class="form"><form method="POST">
	Вы действительно хотите удалить запись с гостевой книги «<i><b>'.$gb->sms.'</b></i>»?<br>
	<input type="submit" name="delete" value="Да, удалить">
	</form></div>';
	echo b("/gb.lm?");
	echo hcp();
	include_once '../core/foot.php';
	die();
} elseif ($act == "mod" && $id != 0){
	if ($db->Count("gb","WHERE `sid` = '".$user->uid."' AND `gid` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Данное сообщение не существует.</div>';
		echo b("/gb.lm");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	include_once '../core/head.php';
	$db->Query("UPDATE `gb` SET `moder`='1' WHERE `sid` = '".$user->uid."' AND `gid` = '".$id."'");
	echo '<div class="success">Сообщение успешно промодерировано</div>';
}
include_once '../core/head.php';
if ($core->isBooleanError()){
	include_once '../core/head.php';
	foreach ($core->showError() as $csE){
		echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
	}	
}
echo '<div class="title">Моя гостевая книга</div>';
if ($db->Count("gb","WHERE `sid` = '".$user->uid."'") == 0){
	echo '<div class="error">Записей в гостевой книге пока что нету</div>';
}

$max = 10;
$k_post = $db->Count("gb","WHERE `sid` = '".$user->uid."'");
$k_page = $core->k_page($k_post,$max);
$page = $core->page($k_page);
$start = $max*$page-$max;

$gb = $db->Query("SELECT * FROM `gb` WHERE `sid` = '".$user->uid."' ORDER BY `gid` DESC LIMIT $start, $max"); 
while ($g = mysqli_fetch_assoc($gb)){
	echo '<div class="text"><div class="gb_line"><span class="gb_nick m4r">'.$g["name"].'</span>'.($g["moder"] == 0?'<a class="text m4r" href="/gb.lm?act=mod&id='.$g["gid"].'">[одобрить]</a>':null).'<a class="text" href="/gb.lm?act=del&id='.$g["gid"].'">[удалить]</a><span class="count gb_count">'.$core->RealTime($g["timeadd"]).'</span></div><div class="gb_sms">'.($g["moder"] == 0?'<span class="gb_text_moder">* данное сообщение ожидает модерации *</span><br>':null).$g["sms"].'</div></div>';
}
if($k_page>1) echo $core->str('?',$k_page,$page);
echo hcp();
include_once '../core/foot.php';
?>